Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.event
Class CallbackResolver

    java.lang.Object
      org.hibernate.ejb.event.CallbackResolver

    public final class CallbackResolver

extends Object

Method Summary
`static Callback[]` | `resolveCallback(org.hibernate.annotations.common.reflection.XClass beanClass, Class annotation, org.hibernate.annotations.common.reflection.ReflectionManager reflectionManager)`
`static Callback[]` | `resolveCallbacks(Class<?> entityClass, Class<?> callbackClass, ClassLoaderService classLoaderService, EntityBinding binding)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### resolveCallback

    public static Callback[] resolveCallback(org.hibernate.annotations.common.reflection.XClass beanClass,
                                             Class annotation,
                                             org.hibernate.annotations.common.reflection.ReflectionManager reflectionManager)

### resolveCallbacks

    public static Callback[] resolveCallbacks(Class<?> entityClass,
                                              Class<?> callbackClass,
                                              ClassLoaderService classLoaderService,
                                              EntityBinding binding)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.